Skip to main content
GET
CLI

Authorizations

Authorization
string
header
default:ShippoToken
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

SHIPPO-ACCOUNT-ID
string

Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the Platform accounts guide.

Path Parameters

UserParcelTemplateObjectId
string
required

Object ID of the user parcel template

Response

User parcel template

distance_unit
enum<string>

The measure unit used for length, width and height. Required, but if using a preset carrier template then this field must be empty.

Available options:
cm,
in,
ft,
m,
mm,
yd
Example:

"in"

height
string

The height of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.

Example:

"6"

length
string

The length of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.

Example:

"10"

name
string

The name of the User Parcel Template

Example:

"My Custom Template"

weight
string

The weight of the package, in units specified by the weight_unit attribute.

Example:

"12"

weight_unit
enum<string>

The unit used for weight.

Available options:
g,
kg,
lb,
oz
Example:

"lb"

width
string

The width of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.

Example:

"8"

object_created
string<date-time>

Date and time of User Parcel Template creation

Example:

"2013-12-11T19:38:09.729Z"

object_id
string

Unique identifier of the given User Parcel Template object

Example:

"b958d3690bb04bb8b2986724872750f5"

object_owner
string

Username of the user who created the User Parcel Template object

Example:

"shippotle@shippo.com"

object_updated
string<date-time>

Date and time of last update on User Parcel Template

Example:

"2013-12-12T19:38:09.729Z"

template
Carrier Parcel Template · object